Bug 1102455 - [Search Field] Failed to search the project by whole project name that contains spaces ' ' and hyphen '-'
Summary: [Search Field] Failed to search the project by whole project name that contai...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI (Show other bugs)
(Show other bugs)
Version: 3.4
Hardware: Unspecified Unspecified
unspecified
high
Target Milestone: ---
: 3.5
Assignee: Alex Eng
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-29 02:12 UTC by Ding-Yi Chen
Modified: 2015-01-26 23:27 UTC (History)
1 user (show)

Fixed In Version: 3.5.0-SNAPSHOT (git-server-3.4.1-38-ga6bf3ed)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 23:27:49 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ding-Yi Chen 2014-05-29 02:12:59 UTC
Description of problem:
If the project name contains hyphens '-' or spaces' ', you cannot search those projects by their own project name.

Version-Release number of selected component (if applicable):
Zanata 3.4.2-SNAPSHOT (git-server-3.4.1-1-g722ff43)

How reproducible:
Easy Always

Steps to Reproduce:
1. Find a project that whose name contain '-' or ' ', for example, ibus-chewing
2. Type "ibus-chewing" in search field, and press Enter.

Actual results:
Search result shows no projects.

Expected results:
ibus-chewing should be in the search result.

Additional info:
Some non-alphabets like underscore '_' and '8' works.

Comment 1 Alex Eng 2014-05-29 05:41:27 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/475

Comment 2 Ding-Yi Chen 2014-05-30 01:22:09 UTC
VERIFIED with Zanata 3.5.0-SNAPSHOT (git-server-3.4.1-38-ga6bf3ed)


Note You need to log in before you can comment on or make changes to this bug.